Twig pour les concepteurs de modèles

Ce document décrit la syntaxe et la sémantique du moteur de modèles et sera très utile comme référence pour ceux qui créent des modèles Twig.
Synopsis

Un modèle contient des variables ou des expressions, qui sont remplacées par des valeurs lorsque le modèle est évalué, ainsi que des balises qui contrôlent la logique du modèle.

Vous trouverez ci-dessous un modèle minimal qui illustre quelques bases :

```
<table>
	<thead>
		<tr>
			<th>{{ html.batch("checkbox") }}</th>
			<th>#</th>
			<th>{{ age.title }}</th>
			<th>{{ name.title }}</th>
			<th>{{ lastname.title }}</th>
			<th></th>
		</tr>
	</thead>
	<tbody>
		{% block record %}
		<tr>
			<td>{{ html.toolbar("checkbox") }}</td>
			<td><a href='{{ record.link(true) }}'>{{ record.id }}</a></td>
			<td>{{ age }}</td>
			<td>{{ name }}</td>
			<td>{{ lastname }}</td>
			<td>{{ html.toolbar("edit","delete") }}</td>
		</tr>
		{% endblock %}
	</tbody>
</table>
```

Il existe deux types de délimiteurs : {% ... %} et {{ ... }}. Le premier est utilisé pour exécuter des instructions telles que des instructions if, le second affiche le résultat d'une expression.

Plus d'informations ici : [Documentation Twig](https://twig.symfony.com/doc/3.x/)
