Un champ de base de données est un élément d’information unique provenant d’un enregistrement. Un enregistrement de base de données est un ensemble de champs.

Les propriétés d'un champ décrivent les caractéristiques et le comportement des données ajoutées à ce champ. Le type de données d'un champ est la propriété la plus importante car elle détermine le type de données que le champ peut stocker.

Paramètres de type de champ : indique des détails supplémentaires à la base de données sur la manière de stocker une valeur et configure les paramètres généraux sur le comportement des champs de saisie.

Le champ peut être utilisé de cinq manières différentes :

1. {{ fieldname }} ou {{ fieldname(params) }} - Renvoie la valeur traitée du champ à l'aide des paramètres de type de champ. Si c'est un champ de type flottant alors la valeur renvoyée sera par exemple 123,00 au lieu de 123.
2. {{ fieldname.value }} ou {{ fieldname(params) }} - Renvoie la valeur pure et non traitée du champ.
3. {{ fieldname.title }} - Renvoie le titre du champ dans la langue actuelle.
4. {{ fieldname.label }} ou {{ fieldname.label(clickable = true|false) }} - Interprete la balise HTML de l'étiquette avec le champ titre dans la langue courante. Il peut être cliquable pour trier les enregistrements par ce champ.
5. {{ fieldname.edit }} ou {{ fieldname(params) }} - Renvoie une zone de saisie ou de modification d'enregistrement et les paramètres configurent l'apparence et les fonctionnalités.

Vous trouverez ci-dessous la liste des paramètres acceptés par chaque type de champ et comment les utiliser :

# Alias (pour les liens SEO)

Champ d'alias qui peut être utilisé à la place de listing_id à des fins de référencement.

**Paramètres de traitement des valeurs :**
Exemple:`{{ FieldName }}`

**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

# Article

Sélectionnez la zone Article.

**Paramètres de type de champ :**

1. Category ID - ID de catégorie pour permettre la sélection à partir de cette catégorie uniquement.

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom ou noms de la ou des classes CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

# Utilisateur auteur

Stocke l'ID de l'utilisateur qui a créé l'enregistrement.

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom ou noms de la ou des classes CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

# Blob (Enregistrer le fichier dans la base de données)

Un BLOB est un gros objet binaire pouvant contenir un fichier entier.

**Paramètres de type de champ :**

1. Maximum length - Longueur maximale de la valeur à conserver


* **tiny** - (255 octets (TINYBLOB). Une colonne d'objets binaires volumineux d'une longueur maximale de 255 (2 ^ 8 - 1) octets. Chaque valeur TINYBLOB est stockée à l'aide d'un préfixe d'un octet qui indique le nombre d'octets dans la valeur.)


* (Par défaut. 64 Ko (BLOB). Une colonne d'objets binaires volumineux d'une longueur maximale de 65 535 (2 ^ 16 - 1) octets, ou 64 Ko de stockage. Chaque valeur BLOB est stockée à l'aide d'un préfixe de deux octets qui indique le nombre d'octets dans la valeur.)


* **medium** - (16 Mo (MEDIUMBLOB). Une colonne d'objets binaires volumineux d'une longueur maximale de 16777215 (2^24 - 1) octets, ou 16 Mo de stockage. Chaque valeur MEDIUMBLOB est stockée à l'aide d'un préfixe de trois octets qui indique le nombre d'octets dans la valeur.)


* **long** - (4 Go (LONGBLOB). Une colonne d'objets binaires volumineux d'une longueur maximale de 4294967295 (2 ^ 32 - 1) octets, soit 4 Go en stockage. Chaque valeur LONGBLOB est stockée à l'aide d'un préfixe de quatre octets qui indique le nombre d'octets dans la valeur.)

2. File Types - Liste des types de fichiers acceptables (liste séparée par un espace)

3. Field to get the file name from / to - Spécifiez le nom du champ dans lequel stocker le nom du fichier d'origine. Par le
    le nom de fichier par défaut sera l'horodatage actuel et l'extension de fichier devinée.

4. Custom PHP - Fichier/fonction PHP qui traitera le contenu du fichier avant d'être téléchargé par l'utilisateur. Le fichier doit être
    situé dans /components/com_customtables/customphp.

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

1. Security  - Chiffre le lien vers le fichier et limite le temps d'accès à celui-ci.


* (Default. Public. Lien direct vers le fichier.)


* **timelimited** - (Time Limited (8-24 minutes))


* **timelimited_longterm** - (Time Limited (1.5 - 4 heures))


* **hostlimited** - (Time/Host Limited (8-24 minutes))


* **hostlimited_longterm** - (Time/Host Limited (1.5 - 4 heures))


* **private** - (Time/Host/User Limited (8-24 minutes))


* **private_longterm** - (Time/Host/User Limited (1.5 - 4 heures))

2. Link - Comment rendre le lien


* **icon-filename-link** - (Icône cliquable et Nom de Fichier)


* **icon-link** - (Icône cliquable)


* **filename-link** - (Nom de fichier cliquable)


* **link-anchor** - (Lien cliquable)


* **icon** - (Icône (tag IMG))


* (Default. Lien seul)


* **filename** - (Nom de fichier)


* **link-to-icon** - (Lien vers fichier icône)


* **extension** - (Extension)


* **file-size** - (Taille fichier)

3. Icon - Sélectionnez la taille de l'icône


* **16** - (Icône 16px X 16px )


* **32** - (Icône 32px X 32px)


* **48** - (Icône 48px X 48px)

4. Target Window - Fenêtre du navigateur cible lors de l'ouverture du lien


* (Default. Parent)


* **_blank** - (Nouvelle fenêtre avec navigation)


* **savefile** - (Fenêtre de dialogue Enregistrer le fichier sous)

`{{ FieldName("timelimited","filename-link",32,"parent") }}` **Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple:`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

# Journal des modifications

Enregistre toutes les modifications d'enregistrement. Utilisateur, Dateheure, IP. Vous pouvez revenir à la version précédente de l'enregistrement.

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom ou noms de la ou des classes CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

# Changer le temps

Stocke la date/heure de la dernière modification de l'enregistrement.

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

1. Format - Format de date PHP, c'est-à-dire 'Y-m-d' ou format défini par Joomla (langue prise en charge) s'il est laissé vide. 'timestamp'renvoie la date et l'heure au format d'horodatage UNIX.

`{{ FieldName("Y-m-d") }}`
**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

#  Checkbox (OUI/NON)

Fournit une seule case à cocher ou à décocher

![Checkbox (YES/NO)](https://joomlaboat.com/images/components/ct/field-types/checkbox.png)

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

3. Format - Type de case à cocher


* (Default. Case à cocher HTML simple)


* **yesno** - (boutons Oui/Non)

`{{ FieldName.edit("ouinon") }}`

# Couleur

Fournit la fonctionnalité de sélecteur de couleurs dans le formulaire d’édition ou une valeur hexadécimale en sortie.

![Color](https://joomlaboat.com/images/components/ct/field-types/color.png)

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

1. Format - Formats de retour : HEX est #rrggbb ou #rrggbbaa, RVB est rgb(r,g,b) ou rgbs(r,g,b,a)


* (Hexadécimal - par défaut)


* **rgba** - (rgba())

`{{ NomChamp("rgba") }}`
**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. Transparent - Autoriser la transparence - couleur alpha.


* (No - default)


* **transparent** - (Oui)

`{{ FieldName.edit("transparent") }}`

# Date de creation

Stocke la date/heure de création de l’enregistrement.

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

1. Format - Format de date PHP, c'est-à-dire 'Y-m-d' ou format défini par Joomla (langue prise en charge) s'il est laissé vide. 'timestamp' à renvoie la date et l'heure au format d'horodatage UNIX.

`{{ FieldName("Y-m-d") }}`**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

# ID d'enregistrement personnalisé

ID d’auto-incrémentation. paramètre : commencer à partir du numéro

**Paramètres de type de champ :**

1. Start Number - La valeur commence à partir du numéro


* **Default** - 1


* **Min** - 1

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

# Date

Sélecteur de date ou de date/heure

**Paramètres de type de champ :**

1. Type - Date ou Date / Heure


* **date** - (Date uniquement. Une date dans une plage allant du 1000-01-01 au 9999-12-31)


* **datetime** - (Date et heure. Une combinaison de date et d'heure, la plage prise en charge est 1000-01-01 00:00:00 à 9999-12-31 23:59:59)

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

1. Format - Format de date PHP, c'est-à-dire 'Y-m-d H:i:s' ou format défini par Joomla (langue prise en charge) s'il est laissé vide. 'timestamp' pour renvoyer la date et l'heure au format d'horodatage UNIX.

`{{ FieldName("Y-m-d") }}`
**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

3. Format - Format de date PHP, c'est-à-dire 'Y-m-d H:i:s'

`{{ FieldName.edit("Y-m-d") }}`

# E-mail

Fournit un champ de courrier électronique.

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

# Fichier

Fournit la fonctionnalité de téléversement de fichiers.

**Paramètres de type de champ :**

1. Max File Sizer – Obsolète. La taille max. du fichier téléversable provient du fichier PHP.ini. Pas besoin de préciser quoi que ce soit.

2. Folder - Dossier dans lequel tous les fichiers seront conservés. Par défaut /images

3. File Types - Liste des types de fichiers acceptables (liste séparée par un espace)

4. Save As File Name - Spécifiez le nom d'un fichier nouvellement téléversé. Vous pouvez utiliser des balises de champ [fieldname]

5. Custom PHP - Fichier/fonction PHP qui traitera le contenu du fichier avant d'être téléchargé par l'utilisateur. Le fichier doit être situé dans /components/com_customtables/customphp.

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

1. Security  - Chiffre le lien vers le fichier et limite le temps d'accès à celui-ci.


* (Default. Public. Lien direct vers le fichier.)


* **timelimited ** - (Durée limitée (8-24 minutes))


* **timelimited_longterm** - (Durée limitée (1,5 à 4 heures))


* **hostlimited** - (Durée/Hôte limité (8-24 minutes))


* **hostlimited_longterm** - (Durée/Hôte limité (1,5 à 4 heures))


* **private** - (Durée/Hôte/Utilisateur limité (8-24 minutes))


* **private_longterm** - (Durée/Hôte/Utilisateur limité (1,5 à 4 heures))

2. Link - Comment afficher le lien


* **icon-filename-link** - (Icône cliquable et nom de fichier)


* **icon-link** - (Icône cliquable)


* **filename-link** - (Nom de fichier cliquable)


* **link-anchor** - (Lien cliquable)


* **icon** - (Icône (balise IMG))


* (Default. Lien uniquement)


* **filename ** - (Nom du fichier)


* **link-to-icon** - (Lien vers le fichier icône)


* **extension** - (Extension)

3. Icon - Sélectionnez la taille de l'icône


* **16** - (Icône 16px X 16px)


* **32** - (Icône 32px X 32px)


* **48** - (Icône 48px X 48px)

4. arget Window - Fenêtre du navigateur cible lors de l'ouverture du lien


* (Par défaut. Parent)


* **_blank** - (Nouvelle fenêtre avec navigation)


* **savefile** - (Ouvrir la fenêtre de dialogue Enregistrer le fichier sous)

`{{ FieldName("timelimited","filename-link",32,"parent") }}` **Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

# File Box

Fournit une fonctionnalité de téléversement multiples de fichiers . Il suit également les versions.

**Paramètres de type de champ :**

1. Max File Size - Taille maximale du fichier pouvant être téléchargé sur le serveur (en mégaoctets). Remarque : vérifiez vos paramètres PHP comme
    Bien.

2. Folder  - Dossier dans lequel tous les fichiers seront conservés. Par défaut /images

3. File Type - Liste des types de fichiers acceptables (liste séparée par un espace)

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

1. Security  - Chiffre le lien vers le fichier et limite le temps d'accès à celui-ci.


* (Default. Public. Lien direct vers le fichier.)


* **timelimited ** - (Durée limitée (8-24 minutes))


* **timelimited_longterm** - (Durée limitée (1,5 à 4 heures))


* **hostlimited** - (Durée/Hôte limité (8-24 minutes))


* **hostlimited_longterm** - (Durée/Hôte limité (1,5 à 4 heures))


* **private** - (Durée/Hôte/Utilisateur limité (8-24 minutes))


* **private_longterm** - (Durée/Hôte/Utilisateur limité (1,5 à 4 heures))

2. Link - Comment afficher le lien


* **icon-filename-link** - (Icône cliquable et nom de fichier)


* **icon-link** - (Icône cliquable)


* **filename-link** - (Nom de fichier cliquable)


* **link-anchor** - (Lien cliquable)


* **icon** - (Icône (balise IMG))


* (Default. Lien uniquement)


* **filename** - (Nom du fichier)


* **link-to-icon** - (Lien vers le fichier icône)


* **extension** - (Extension)


* **file-size** - (taille du fichier)

3. Icon - Sélectionnez la taille de l'icône


* **16** - (Icône 16px X 16px)


* **32** - (Icône 32px X 32px)


* **48** - (Icône 48px X 48px)

4. Target Window - Fenêtre du navigateur cible lors de l'ouverture du lien.


* (Default. Parent)


* **_blank** - (Nouvelle fenêtre avec navigation)


* **savefile** - (Ouvrir la fenêtre de dialogue Enregistrer le fichier sous)

5. List Format - Comment formater la liste de sortie.


* (Default. Liste ordonnée - Balises HTML OL et OL)


* **ul** - (Liste non ordonnée - Balises HTML UL et LI)


* **,** - (Liste séparée par des virgules)


* **;** - (Liste séparée par un point-virgule)

`{{ FieldName("timelimited","filename-link",32,"parent",",") }}`**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

# Lien de fichier

Chemin d'accès à un dossier sur le serveur. Fournit une sélection de fichiers à partir d’un dossier particulier.

**Paramètres de type de champ :**

1. Folder - Dossier dans lequel un utilisateur peut sélectionner un fichier.

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

1. Security  - Chiffre le lien vers le fichier et limite le temps d'accès à celui-ci.


* (Default. Public. Lien direct vers le fichier.)


* **timelimited ** - (Durée limitée (8-24 minutes))


* **timelimited_longterm** - (Durée limitée (1,5 à 4 heures))


* **hostlimited** - (Durée/Hôte limité (8-24 minutes))


* **hostlimited_longterm** - (Durée/Hôte limité (1,5 à 4 heures))


* **private** - (Durée/Hôte/Utilisateur limité (8-24 minutes))


* **private_longterm** - (Durée/Hôte/Utilisateur limité (1,5 à 4 heures))

2. Link - Comment afficher le lien


* **icon-filename-link** - (Icône cliquable et nom de fichier)


* **icon-link** - (Icône cliquable)


* **filename-link** - (Nom de fichier cliquable)


* **link-anchor** - (Lien cliquable)


* **icon** - (Icône (balise IMG))


* (Default. Lien uniquement)


* **filename** - (Nom du fichier)


* **link-to-icon** - (Lien vers le fichier icône)


* **extension** - (Extension)

3. Icon - Sélectionnez la taille de l'icône


* **16** - (Icône 16px X 16px)


* **32** - (Icône 32px X 32px)


* **48** - (Icône 48px X 48px)

4. Target Window - Fenêtre du navigateur cible lors de l'ouverture du lien


* (Default. Parent)


* **_blank** - (Nouvelle fenêtre avec navigation)


* **savefile** - (Ouvrir la fenêtre de dialogue Enregistrer le fichier sous)

`{{ FieldName("timelimited","filename-link",32,"parent") }}` **Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

# Nombre flottant (décimal)

Fournit une zone de saisie de nombres décimaux.

**Field Type Parameters:**

1. Décimales - Nombre de chiffres à droite de la virgule décimale (l'échelle). Ne doit pas être supérieur au nombre de chiffres de précision.


* **Default** - 2


* **Min** - 1


* **Max** - 30

2. Précision - Nombre maximum de chiffres (la précision).


* **Default** - 20


* **Min** - 1


* **Max** - 65

3. Smart Input - Permet la saisie sans appuyer sur la touche de point décimal. Exemple : pour taper [12.67] il suffit de taper [1267] Le point décimal sera placé tout seul.


* (No - par defaut)


* **smart** - (Oui)

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

1. Number of decimals - Formate le nombre renvoyé. Ajoutez le traçage 0 si nécessaire. (utile lors du formatage d'une devise)

* **Default** -


* **Max** - 30

2. Decimal Separatorl - Séparez les décimales avec le caractère fourni. p.ex. ',' ou '.'

3. Thousand Separator - Séparez les milliers avec le caractère fourni. p.ex. ',' ou '.' ou ' ' (espace)

`{{ NomChamp(0,".",",") }}`**Valeur pure (non transformée) :**

Exemple:
`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

`{{ FieldName.edit("inputboxClass","readonly='readonly'") }}`

# Coordonnées GPS

Coordonnées Google Map (Latitude et Longitude) avec carte de sélection

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

1. Format - Formate les coordonnées ou restite une carte.


* (Default. Latitude et Longitude séparées par une virgule)


* **map** - (Google Map)


* **latitude** - (Latitude uniquement)


* **longitude** - (Longitude uniquement)

2. Map Width - Largeur de la carte en pixels ou %

3. Map Height - Hauteur de la carte en pixels ou %

4. Map Zoom - L'API Google Maps fournit des vignettes de carte à différents niveaux de zoom pour les images de type carte. La plupart des images de feuille de route sont disponibles aux niveaux de zoom 0 à 18.


* **0** - (0)


* **1** - (1)


* **2** - (2)


* **3** - (3)


* **4** - (4)


* **5** - (5)


* **6** - (6)


* **7** - (7)


* **8** - (8)


* **9** - (9)


* **10** - (10)


* **11** - (11)


* **12** - (12)


* **13** - (13)


* **14** - (14)


* **15** - (15)


* **16** - (16)


* **17** - (17)


* **18** - (18)

`{{ FieldName("map",0) }}` **Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

# Fichier Image

Fournit la fonctionnalité de téléversement d’images.

**Paramètres de type de champ :**

1. Image Size Options - Vous pouvez spécifier différentes options de taille. Lors du téléversement de l'image, Tables Personnalisés créera une ou plusieurs versions modifiées de l'image en fonction des paramètres fournis.

2. Image Processing Methods - Méthodes de traitement qui seront appliquées à l'image nouvellement téléversée. Cette option est disponible uniquement dans la version Pro.

3. Folder - Dossier dans lequel tous les fichiers seront conservés. Par défaut /images

4. Save As File Name


* (Default. Date Heure (YmdHis))


* **transliterated ** - (Nom de fichier (translittéré). Alphanumérique et translittéré, les espaces sont également remplacés par le caractère de soulignement. Un numéro supplémentaire peut être ajouté si le nom du fichier n'est pas unique.)


* **original** - (Nom de fichier tel quel. Nom de fichier tel quel, aucun changement. Un numéro supplémentaire peut être ajouté si le nom de fichier n'est pas unique.)

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

# Galerie d'images

Fournit une fonctionnalité de téléversement d’images multiples.

**Paramètres de type de champ :**

1. Image Size Options - Vous pouvez spécifier différentes options de taille. Lors du téléversement d'images, Tableaux Personnalisés créera une ou plusieurs versions modifiées du fichier image en fonction des paramètres fournis.

2. Image Processing Methods - Méthodes de traitement d'image qui seront appliquées à une image nouvellement téléchargée. Cette option est disponible uniquement dans la version Pro .

3. Folder - Dossier dans lequel tous les fichiers seront conservés. Par défaut /images

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

1. Size - Sélectionnez la variante de taille de l'image.

2. List Separator - Séparez les images par un caractère. p.ex. ',' ou ';'

`{{ FieldName("aperçu",";") }}`**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

# Nombre entier

Fournit une zone de saisie de nombres entiers.

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

# Langue

Fournit une boîte de sélection de langue.

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

# Hachage MD5

Hachage MD5 calculé en fonction de la valeur des champs sélectionnés.

**Paramètres de type de champ :**

1. List of Fields - Les valeurs des champs seront prises et le code de hachage MD5 sera calculé dessus.

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

# Chaîne de texte multilingue (une seule ligne)

Fournit un ensemble de zones de texte pour la saisie de données. Une zone de saisie pour chaque langue.

**Paramètres de type de champ :**

1. Length  - Nombre de caractères. Nombre de caractères et non d'octets.


* **Default** - 255


* **Min** - 1


* **Max** - 1024

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

1. Limit Output - Limite le texte en sortie, du premier nombre de caractères ou du premier nombre de mots.


* (Default. Renvoie tel quel)


* **chars** - (Renvoie le premier nombre de caractères du texte qui a été coupé, nettoyé et les balises HTML supprimées.)


* **words ** - (Renvoie le premier nombre de mots du texte qui a été coupé, nettoyé et les balises HTML supprimées.)


* **firstimage** - (Renvoie le lien vers une première image trouvée dans le texte.)

2. Length – Nombre de caractères ou de mots.


* **Défaut** -


* **Min** - 1


* **Max** - 1024

3. Clean Braces - Supprime toutes les accolades du texte. (p.ex. pour éviter l'exécution des plugins de contenu.)


* (Aucun défaut)


* **true ** - (Oui)

4. Clean Quotes - Supprime toutes les citations du texte.


* (Aucun défaut)


* **true ** - (Oui)

5. Language - Spécifie la langue. La langue par défaut du site sera utilisée si elle n’est pas spécifiée.

`{{ FieldName("chars",1,true,true) }}`**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

# Zone de texte multilingue (plusieurs lignes)

Fournit un ensemble de zones de texte pour la saisie de données. Une zone de texte pour chaque langue.

**Paramètres de type de champ :**

1. Text Editor


* (Default. Aucun éditeur)


* **rich** - (Éditeur de texte enrichi)

2. Correcteur orthographique


* (Aucun défaut)


* **spellcheck ** - (Oui)

3. Maximum length - Longueur maximale de la valeur à conserver. La longueur maximale effective est inférieure. Le jeu de caractères par défaut de Joomla utf8mb4 (encodage Unicode UTF-8 4 octets).


* **tiny** - (Jusqu'à 255 octets - 63 caractères (TINYTEXT). TINYTEXT peut stocker jusqu'à 63 caractères Unicode, soit 255 octets. Il convient au stockage de courts commentaires, légendes, titres, etc.)


* (Default. Jusqu'à 64 Ko - 16 383 caractères (TEXTE). TEXTE peut stocker jusqu'à 16 383 caractères Unicode, soit 64 Ko. Il est adapté au stockage de résumés d'articles, de brèves notices, de légendes, etc.)


* **medium** - (Jusqu'à 16 Mo - 4,2 millions de caractères (MEDIUMTEXT). MEDIUMTEXT peut stocker jusqu'à 4 194 303 caractères Unicode
, soit 16 Mo. Il convient aux chaînes de texte plus volumineuses telles que les livres, les documents de recherche et la sauvegarde de code.)


* **long** - (Jusqu'à 4 Go - 10,7 milliards de caractères (LONGTEXT). LONGTEXT peut stocker jusqu'à 1 073 741 822 caractères Unicode soit 4 Go. C'est un espace de stockage plus que suffisant pour toutes les chaînes de texte de longue durée. Par exemple, un livre que MEDIUMTEXT ne peut stocker peut être stocké en utilisant LONGTEXT.)

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

1. Limit Output  - Limite le texte en sortie, du premier nombre de caractères ou du premier nombre de mots.


* (Default. Renvoie tel quel)


* **chars** - (Renvoie le premier nombre de caractères du texte qui a été coupé, nettoyé et les balises HTML supprimées.)


* **words** - (Renvoie le premier nombre de mots du texte qui a été coupé, nettoyé et les balises HTML supprimées.)


* **firstimage** - (Renvoie le lien vers une première image trouvée dans le texte.)

2. Length  – Nombre de caractères ou de mots.


* **Défault** -


* **Min** - 1


* **Max** - 1024

3. Clean Braces - Supprime toutes les accolades du texte. (c'est-à-dire pour éviter l'exécution des plugins de contenu.)


* (No - par défaut)


* **true** - (Oui)

4. Clean Quotes - Supprime toutes les guillemets du texte.


* (No - par défaut)


* **true** - (Oui)

5. Language  - Spécifiez la langue. La langue par défaut du site sera utilisée si elle n’est pas spécifiée.

`{{ FieldName("chars",1,true,true) }}`**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

# Rangement/Tri

Enregistrer position personnalisée, un outil du site pour trier les enregistrements dans un ordre personnalisé.

![Ordering/Sorting](https://joomlaboat.com/images/components/ct/field-types/ordering-catalog.png)

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

# Radio

Boutons radio

**Paramètres de type de champ :**

1. Paramètres

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

# Informations serveur

Variables d'environnement et d'exécution du serveur. Voir : https://php.net/manual/en/reserved.variables.server.php

**Paramètres de type de champ :**

1. Option - Sélectionnez les informations à enregistrer.


* **REMOTE_ADDR** - (REMOTE_ADDR. L'adresse IP à partir de laquelle l'utilisateur consulte la page actuelle. )


* **HTTP_REFERER** - (HTTP_REFERER. L'adresse de la page (le cas échéant) qui a renvoyé l'agent utilisateur à la page actuelle. Ceci est défini par l’agent utilisateur. Tous les agents utilisateurs ne définiront pas cela, et certains offrent la possibilité de modifier HTTP_REFERER comme une fonctionnalité. Bref, on ne peut pas vraiment lui faire confiance.)


* **REMOTE_HOST** - (REMOTE_HOST. Le nom d'hôte à partir duquel l'utilisateur consulte la page actuelle. La recherche DNS inversée est basé sur le REMOTE_ADDR de l'utilisateur.)


* **REMOTE_PORT** - (REMOTE_PORT. Le port utilisé sur la machine de l'utilisateur pour communiquer avec le serveur Web. )


* **REMOTE_USER** - (REMOTE_USER. L'utilisateur authentifié.)


* **PHP_SELF** - (PHP_SELF. Le nom de fichier du script en cours d'exécution, par rapport à la racine du document.)


* **GATEWAY_INTERFACE** - (GATEWAY_INTERFACE. Révision de la spécification CGI utilisée par le serveur ; p.ex. 'CGI/1.1')


* **SERVER_ADDR** - (SERVER_ADDR. L'adresse IP du serveur sous lequel le script actuel s'exécute.)


* **SERVER_NAME** - (SERVER_NAME. Le nom de l'hôte du serveur sous lequel le script actuel s'exécute. Si le script s'exécute sur un hôte virtuel, ce sera la valeur définie pour cet hôte virtuel.)


* **SERVER_SOFTWARE** - (SERVER_SOFTWARE. Chaîne d'identification du serveur, indiquée dans les en-têtes lors de la réponse aux requêtes.)


* **SERVER_PROTOCOL** - (SERVER_PROTOCOL. Nom et révision du protocole d'information via lequel la page a été
   demandé; p.ex. 'HTTP/1.0')


* **REQUEST_METHOD** - (REQUEST_METHOD. Quelle méthode de requête a été utilisée pour accéder à la page ; p.ex. 'GET', 'HEAD', 'POST', 'PUT'.)


* **REQUEST_TIME** - (REQUEST_TIME. L'horodatage du début de la requête. Disponible depuis PHP 5.1.0.)


* **REQUEST_TIME_FLOAT** - (REQUEST_TIME_FLOAT. L'horodatage du début de la requête, avec une précision de la microseconde. Disponible depuis PHP 5.4.0.)


* **QUERY_STRING** - (QUERY_STRING. La chaîne de requête, le cas échéant, via laquelle la page a été accédée. )


* **DOCUMENT_ROOT** - (DOCUMENT_ROOT. Le répertoire racine du document sous lequel le script actuel s'exécute, comme défini dans le fichier de configuration du serveur.)


* **HTTP_ACCEPT** - (HTTP_ACCEPT. Contenu de l'en-tête Accept: de la requête actuelle, s'il y en a un.)


* **HTTP_ACCEPT_CHARSET** - (HTTP_ACCEPT_CHARSET. Contenu de l'en-tête Accept-Charset : de la requête en cours, si il existe une. Exemple : 'iso-8859-1,*,utf-8'.)


* **HTTP_ACCEPT_ENCODING** - (HTTP_ACCEPT_ENCODING. Contenu de l'en-tête Accept-Encoding: de la requête en cours, si il existe une. Exemple : 'gzip'.)


* **HTTP_ACCEPT_LANGUAGE** - (HTTP_ACCEPT_LANGUAGE. Contenu de l'en-tête Accept-Language: de la requête en cours, si il existe une. Exemple : 'en'.)


* **HTTP_CONNECTION** - (HTTP_CONNECTION. Contenu de la connexion : en-tête de la requête en cours, s'il y en a une. Exemple : « Keep-Alive ». )


* **HTTP_HOST** - (HTTP_HOST. Contenu de l'hôte : en-tête de la requête en cours, s'il y en a un. )


* **HTTP_USER_AGENT** - (HTTP_USER_AGENT. Contenu du User-Agent : en-tête de la requête en cours, s'il y en a un. Il s'agit d'une chaîne désignant l'agent utilisateur qui accède à la page. Un exemple typique est : Mozilla/4.5 [en] (X11; U; Linux 2.2.9 i586). Entre autres choses, vous pouvez utiliser cette valeur avec get_browser() pour adapter la sortie de votre page aux capacités de l'agent utilisateur.)

* **HTTPS** - (HTTPS. Défini sur une valeur non vide si le script a été appelé via le protocole HTTPS.)


* **REDIRECT_REMOTE_USER** - (REDIRECT_REMOTE_USER. L'utilisateur authentifié si la demande est redirigée en interne. )


* **SCRIPT_FILENAME** - (SCRIPT_FILENAME. Le chemin absolu du script en cours d'exécution.)


* **SERVER_ADMIN** - (SERVER_ADMIN. La valeur donnée à la directive SERVER_ADMIN (pour Apache) dans le fichier de configuration du serveur Web. Si le script s'exécute sur un hôte virtuel, ce sera la valeur définie pour cet hôte virtuel. )


* **SERVER_PORT** - (SERVER_PORT. Le port de la machine serveur utilisé par le serveur Web pour la communication. Pour la configuration par défaut, ce sera « 80 » ; l'utilisation de SSL, par exemple, changera cela quel que soit votre port HTTP sécurisé défini.)


* **SERVER_SIGNATURE** - (SERVER_SIGNATURE. Chaîne contenant la version du serveur et le nom d'hôte virtuel qui sont ajoutés aux pages générées par le serveur, si activé.)


* **PATH_TRANSLATED** - (PATH_TRANSLATED. Chemin d'accès basé sur le système de fichiers (et non sur la racine du document) vers le script actuel, après que le serveur a effectué un mappage virtuel-réel.)


* **SCRIPT_NAME** - (SCRIPT_NAME. Contient le chemin du script actuel. Ceci est utile pour les pages qui doivent pointer vers elles-mêmes. La constante __FILE__ contient le chemin complet et le nom du fichier actuel. )


* **REQUEST_URI** - (REQUEST_URI. L'URI qui a été donné pour accéder à cette page ; par exemple, '/index.html'.)


* **PHP_AUTH_DIGEST** - (PHP_AUTH_DIGEST. Lors de l'authentification HTTP Digest, cette variable est définie sur l'en-tête 'Autorisation' envoyé par le client (que vous devriez ensuite utiliser pour effectuer la validation appropriée). )


* **PHP_AUTH_USER** - (PHP_AUTH_USER. Lors de l'authentification HTTP, cette variable est définie sur le nom fourni par l'utilisateur.)


* **PHP_AUTH_PW** - (PHP_AUTH_PW. Lors de l'authentification HTTP, cette variable est définie sur le mot de passe fourni par l'utilisateur. )


* **AUTH_TYPE** - (AUTH_TYPE. Lors de l'authentification HTTP, cette variable est définie sur le type d'authentification. )


* **PATH_INFO** - (PATH_INFO. Contient toutes les informations de chemin d'accès fournies par le client après le nom de fichier de script réel, mais précédant la chaîne de requête, si disponible. Par exemple, si le script actuel a été accédé via l'URL https://www.example.com/php/path_info.php/some/stuff?foo=bar, alors $_SERVER['PATH_INFO'] contiendrait /some/stuff. )


* **ORIG_PATH_INFO** - (ORIG_PATH_INFO. Version originale de 'PATH_INFO' avant traitement par PHP.)

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

# Signature

Un bloc de signature qui permet aux utilisateurs de dessiner des signatures fluides sur un élément de canevas et d'exporter les signatures sous formes d'images PNG/JPG/SVG/WebP.

**Paramètres de type de champ :**

1. Width  - Largeur en pixels

2. Height  - Hauteur en pixels

3. Folder  - Dossier dans lequel tous les fichiers image de signature seront enregistrés. Par défaut /images

4. Image Format


* **png** - (Enregistrer en tant que fichier PNG)


* **webp** - (Enregistrer en tant que fichier WebP)

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

# Jointure de table

Jointure Gauche sur une autre table. Recherche l'enregistrement pour lire une valeur du champ spécifié.

Pour lire n'importe quel champ de la table jointe, utilisez {{ fieldname.get('joined_table_field_name') }}.

Pour lire la valeur non traitée du champ de la table jointe, utilisez cette balise {{ fieldname.getvalue('joined_table_field_name') }}.

Pour lire l'enregistrement de table jointe traité à l'aide de la mise en page, utilisez cette balise {{fieldname.layout('layout_name') }}.

**Paramètres de type de champ :**

1. Table - Tapez le nom de la table personnalisée à rejoindre/avec laquelle créer un lien.
    ![Table](https://joomlaboat.com/images/components/ct/field-types/tablejoin-selecttable.png)


2. Field Name - Tapez le nom du champ pour renvoyer la valeur par défaut. Vous pouvez saisir le nom de la mise en page à la place. options : 'layout: layout_name' ou 'tablelesslayout:layout_name'

3. Filtre - Limite les enregistrements à l'aide d'un filtre. Exemple : [age>30] où age est un champ dans la table de jointure

4. Dynamic Filter - Nécessite que la table de jointure contienne un champ de jointure de table pour l'utiliser comme filtre de catégorie

5. Order By - Nom du champ par lequel trier l'enregistrement

6. Allow Unpublished - Autoriser la sélection d'enregistrements non publiés.


* (No - par défaut)


* **true ** - (Oui)

7. Selector - Comment sélectionner les enregistrements.


* **dropdown** - (Liste déroulante)


* **radio** - (Radio)

8. Add Foreign Key - Une CLÉ ÉTRANGÈRE est une clé utilisée pour relier deux tables entre elles. La contrainte FOREIGN KEY est utilisée pour empêcher les actions qui détruiraient les liens entre les tables. Comme supprimer des enregistrements de table. Activé par défaut.

* **addforeignkey** - (Ajouter une clé étrangère)

* **noforignkey** - (Pas de clé étrangère)

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

3. Parent Selector - Utilisé pour les dépendances à plusieurs niveaux telles que Pays, Ville, Rue. Liste des paramètres pour définir la boîte de sélection de sous-niveau. Exemple : [city_table_name, city_field_name,allow_unpublished(true ou false), filter(population>100000), order_by(name)]. Il est également possible de passer plusieurs sélecteurs. Exemple : [ [city_table_name, city_field_name],[country_table_name, country_field_name, false]]

4. Title Layout - Paramètre facultatif définissant le format du titre de l'option, au lieu du nom du champ défini dans le paramètre type de champ. La mise en page peut contenir les noms de champs entourés d’accolades. Exemple : {{ nom }} - {{ titre }}
    ![Title Layout](https://joomlaboat.com/images/components/ct/field-types/tablejoin-customtitle.png)


5. Menu Item alias - Alias d'élément de menu pour ouvrir le lien à l'aide de paramètres d'élément de menu spécifiques.

6. Improve Select Box - Améliorer la zone de sélection pour inclure la recherche dans la liste.


* (Default. Standard)


* **improved ** - (Amélioré (Joomla))


* **virtualselect** - (Amélioré (Virtual Select))

`{{ FieldName.edit("inputbox",[[city_table_name, city_field_name],[country_table_name, country_field_name, false]],"reload") }}`

**Lire la valeur traitée du champ sélectionné à partir de la table jointe :**

1. Field name - Spécifiez le nom du champ à partir duquel obtenir la valeur.

2. Value Processing Parameters : un tableau de paramètres permettant de traiter la valeur du champ de la table jointe.

`{{ FieldName.get("birthdate",["A-m-d"]) }}`

**Lire la valeur non traitée (pure) du champ sélectionné de la table jointe :**

1. Field name - Spécifiez le nom du champ à partir duquel obtenir la valeur.

`{{ FieldName.getvalue("pays") }}`

**Rend la valeur de la table jointe en utilisant la disposition sélectionnée. :**

1. Layout - La mise en page pour afficher l'enregistrement de la table jointe.

`{{ FieldName.layout("PersonProfileLayout") }}`

# Liste de jointure de table

Liste concaténée d’ID faisant référence à une autre table.

**Paramètres de type de champ :**

1. Table - Tapez le nom de la table personnalisée à rejoindre/avec laquelle créer un lien.

2. Field Name - Tapez le nom du champ à partir duquel renvoyer la valeur (qui peut être écrasé dans la mise en page). Vous pouvez taper la mise en page nom à la place. options : [layout : la mise en page ou tablelesslayout : la mise en page]

3. Selector - Comment sélectionner les enregistrements.


* **single** - (Enregistrement unique (liste déroulante))


* **multi** - (Enregistrements multiples (liste déroulante))


* **radio** - (Enregistrement unique (Radio))


* **checkbox** - (Enregistrements multiples (cases à cocher))


* **multibox** - (Enregistrements multiples (Ajouter une liste d'enregistrements, nécessite un filtre dynamique))

4. Filter - Limite les enregistrements à l'aide d'un filtre. Exemple : [age>30] où age est un champ dans la table de jointure

5. Dynamic Filter - Utilisé avec multibox, nécessite que la table de jointure contienne un champ de jointure SQL pour l'utiliser comme filtre de catégorie

6. Order By - Nom du champ par lequel trier l'enregistrement

7. Allow Unpublished - Autoriser la sélection d'enregistrements non publiés.


* (No - par défaut)


* **true** - (Oui)

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

1. Field Name  - Tapez le nom du champ à partir duquel renvoyer la valeur. Vous pouvez saisir le nom de la mise en page à la place. options : [layout:layoutname ou tablelesslayout:layoutname]

2. Order By - Nom du champ pour trier les enregistrements

3. List Separator - Séparez les valeurs d'enregistrement par un caractère. p.ex. ',' ou ';'

`{{ FieldName("produits","prix",",") }}`**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

3. Parent Selector  - Utilisé pour les dépendances à plusieurs niveaux telles que Pays, Ville, Rue. Liste des paramètres pour définir la boîte de sélection de sous-niveau. Exemple : [city_table_name, city_field_name,allow_unpublished(true ou false), filter(population>100000), order_by(name)]. Il est également possible de passer plusieurs sélecteurs. Exemple : [ [city_table_name, city_field_name],[country_table_name, country_field_name, false]]

4. Title Layout - Paramètre facultatif définissant le format du titre de l'option, au lieu du nom du champ défini dans le paramètre type de champ. La mise en page peut contenir les noms de champs entourés d’accolades. Exemple : {{ nom }} - {{ titre }}
    ![Title Layout](https://joomlaboat.com/images/components/ct/field-types/tablejoin-customtitle.png)

`{{ FieldName.edit("","",[[city_table_name, city_field_name],[country_table_name, country_field_name, false]]) }}`

**Lire la valeur traitée du champ sélectionné de la table jointe :**

1. Field name - Spécifiez le nom du champ à partir duquel obtenir la valeur.

2. Show Published Records - Filtrez la liste des enregistrements, affichez les enregistrements publiés, non publiés ou tous.

* **published ** - (publié uniquement)


* **unpublished ** - (uniquement non publié)


* **all** - (Afficher tous les enregistrements)

3. List Separator - Sépare les valeurs d'enregistrement par un caractère. p.ex. ',' ou ';'

`{{ FieldName.get("workers","any",",") }}`

**Lire la valeur non traitée du champ sélectionné de la table jointe :**

1. Field name - Spécifiez le nom du champ à partir duquel obtenir la valeur.

2. Show Published Records - Filtrez la liste des enregistrements, affichez les enregistrements publiés, non publiés ou tous.


* **published** - (publié uniquement)


* **unpublished** - (uniquement non publié)


* **all** - (Afficher tous les enregistrements)

3. List Separator - Sépare les valeurs d'enregistrement par un caractère. p.ex. ',' ou ';'

`{{ FieldName.getvalue("workers","any",",") }}`

**Rendu la valeur de la table jointe en utilisant la disposition sélectionnée :**

1. Layout  - La mise en page pour afficher l'enregistrement de la table jointe.

2. Show Published Records - Afficher les enregistrements publiés, non publiés ou tous.


* **published ** - (publié uniquement)


* **unpublished ** - (uniquement non publié)


* **all** - (Afficher tous les enregistrements)

3. List Separator - Séparez les valeurs d'enregistrement par un caractère. c'est-à-dire ',' ou ';'

`{{ FieldName.layout("PeopleLayout","published",",") }}`

# Zone de texte (plusieurs lignes)

Fournit une zone de texte pour la saisie des données.

**Paramètres de type de champ :**

1. Text Editor


* (Default. Aucun éditeur)


* **rich** - (Éditeur de texte enrichi)

2. Spell Checker


* (No - par défaut)


* **vspellcheck** - (Oui)

3. Maximum length - Longueur maximale de la valeur à conserver. La longueur maximale effective est inférieure. Le jeu de caractères  par défaut de Joomla utf8mb4 (encodage Unicode UTF-8 4 octets).


* **tiny** - (Jusqu'à 255 octets - 63 caractères (TINYTEXT). TINYTEXT peut stocker jusqu'à 63 caractères Unicode, soit 255 octets.   Il convient au stockage de courts commentaires, légendes, titres, etc.)


* (Default. Jusqu'à 64 Ko - 16 383 caractères (TEXTE). TEXTE peut stocker jusqu'à 16 383 caractères Unicode, soit 64 Ko. Il est    adapté au stockage de résumés d'articles, de brèves notices, de légendes, etc.)


* **medium** - (Jusqu'à 16 Mo - 4,2 millions de caractères (MEDIUMTEXT). MEDIUMTEXT peut stocker jusqu'à 4 194 303 de caractères Unicode, soit 16 Mo. Il convient aux chaînes de texte plus volumineuses telles que les livres, les documents de recherche et la sauvegarde de code.)


* **long** - (Jusqu'à 4 Go - 10,7 milliards de caractères (LONGTEXT). LONGTEXT peut stocker jusqu'à 1 073 741 822 caractères Unicode , soit 4 Go. C'est un espace de stockage plus que suffisant pour toutes les chaînes de texte de longue durée. Par exemple, un livre que MEDIUMTEXT ne peut contenir peut être stockée en utilisant LONGTEXT.)

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

1. Limit Output - Limite le renvoi du texte de sortie, du premier nombre de caractères ou du premier nombre de mots.


* (Default. Renvoie tel quel)


* **chars** - (Renvoie le premier nombre de caractères du texte qui a été coupé, nettoyé et les balises HTML supprimées.)


* **words ** - (Renvoie le premier nombre de mots du texte qui a été coupé, nettoyé et les balises HTML supprimées.)


* **firstimage** - (Renvoie le lien vers une première image trouvée dans le texte.)

2. Length – Nombre de caractères ou de mots.


* **Default** -


* **Min** - 1


* **Max.** - 1024

3. Clean Braces - Supprime toutes les accolades du texte. (p.ex. pour éviter l'exécution des plugins de contenu.)


* (No - par défaut)


* **true** - (Oui)

4. Clean Quotes - Supprime tous les guillements du texte.


* (No - par défaut)


* **true** - (Oui)

`{{ NomChamp(50,1,true,true) }}`**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

3. Editor Width - Largeur de l'éditeur en pixels ou %

4. Editor Height - Hauteur de l'éditeur en pixels ou %

`{{ FieldName.edit(100%,300px) }}`

# Chaîne de texte (une seule ligne)

Fournit une zone de texte pour la saisie des données.

**Paramètres de type de champ :**

1. Length  - Nombre de caractères. Nombre de caractères et non d'octets.


* **Default** - 255


* **Min** - 1


* **Max** - 1024

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

1. Limit Output - Limite le renvoi du texte de sortie, du premier nombre de caractères ou du premier nombre de mots.


* (Default. Renvoie tel quel)


* **chars** - (Renvoie le premier nombre de caractères du texte qui a été coupé, nettoyé et les balises HTML supprimées.)


* **words** - (Renvoie le premier nombre de mots du texte qui a été coupé, nettoyé et les balises HTML supprimées.)


* **firstimage** - (Renvoie le lien vers une première image trouvée dans le texte.)

2. Length – Nombre de caractères ou de mots.


* **Default** -


* **Min** - 1


* **Max** - 1024

3. Clean Braces - Supprime toutes les accolades du texte. (c'est-à-dire pour éviter l'exécution des plugins de contenu.)


* (No - par défaut)


* **true** - (Oui)

4. Clean Quotes - Supprime toutes les guillements du texte.


* (No - par défaut))

* **true** - (Oui)

`{{ FieldName("chars",1,true,true) }}`**Pure Value (Unprocessed):**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

3. Autocomplete  - Génère une liste de données de saisie semi-automatique à l'aide des enregistrements de table


* (No - par défaut)


* **autocomplete** - (Oui)

`{{ FieldName.edit("my_CSS_class",onclick='alert(1);',"autocomplete") }}`

# Temps

Time Selection. Enregistre la valeur en ticks avec un décalage défini. Par défaut, enregistre le nombre de secondes depuis minuit.

**Paramètres de type de champ :**

1. Min (From) Time - Heure minimale (Depuis) pouvant être sélectionnée.

2. Max (To) Time - Heure maximale (Jusqu'à) pouvant être sélectionné.

3. Step  - Incrément de sélection. Vous pouvez utiliser h - heures, m - minutes, s - secondes. Ou combiner : 1h5m

4. Save Ticks - Enregistrez la valeur sous forme d'un nombre de ticks.

5. Save Tick Offset - Enregistrez la valeur de décalage.

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

1. Format - Format de date PHP, p.ex. 'h:i:s'

`{{ NomChamp("h:i") }}`**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

3. Format - Format date/heure. Similaire au format de date PHP.

# Traduction

Utilisez le nom du champ pour ajouter des traductions de certains termes dans votre mise en page. Cela ne stocke rien dans la base de données.

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

# URL/Lien

URL/Lien vers un site Web. Doit commencer par http:// ou https://

**Paramètres de type de champ :**

1. CSS Class - Nom(s) de classe(s) CSS.

2. HTTPS Only – Autoriser uniquement les liens URL sécurisés


* (No - par défaut)


* **true** - (Oui)

3. Domain Name – Doit inclure le nom de domaine à suivre, en séparant les noms de domaine par une virgule. Exemple : youtube.com,youtu.be

4. Allow Query Parameters  - Autoriser les liens URL à inclure des paramètres de requête tels que ?param1=apple


* (Yes - par défaut)


* **false** - (Non)

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}` **Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

# Utilisateur

Fournit une boîte de sélection d'utilisateur. Il peut également créer un compte de nouvel utilisateur si tous les champs nécessaires sont définis : Nom, Email, Groupe(s) d'utilisateur(s).

**Paramètres de type de champ :**

1. User Groups - Limiter la sélection à certains groupes d'utilisateurs. Ou utilisé comme groupe d'utilisateurs par défaut lors de la création d'un nouveau compte utilisateur .

2. Name - Utilisé uniquement pour créer un nouveau compte utilisateur. Balises de champ, exemple : {{ firstname }} {{ lastname }}

3. Email - Utilisé uniquement pour créer un nouveau compte utilisateur. Balises de champ, exemple : {{ email }}

4. Name Filter - Limiter la sélection à certains noms - le nom doit contenir ces caractères.

5. Unique Users - Ne  pas laisser attribuer le même compte utilisateur à différents enregistrements.


* (Not Unique - par défaut)


* **unique** - (Unique)

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom ou noms de la ou des classes CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

# Groupe d'utilisateurs

Zone de sélection du groupe d'utilisateurs.

**Paramètres de type de champ :**

1. Available User Groups - Liste des groupes d'utilisateurs disponibles séparés par une virgule. Groupes d'utilisateurs pouvant être sélectionnés. Super Utilisateurs désactivé par défaut. Si le champ est vide, tous les groupes d'utilisateurs seront visibles pour être sélectionnés, à l'exception du groupe des Super Utilisateurs.

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

# Groupes d'utilisateurs

Zone de sélection multiple du groupe d'utilisateurs

**Paramètres de type de champ :**

1. Selector  - Comment sélectionner les enregistrements.


* **single** - (Groupe d'utilisateurs unique (zone de sélection))


* **multi** - (Plusieurs groupes d'utilisateurs (zone de liste))


* **radio** - (Groupe d'utilisateurs unique (Radio))


* **checkbox** - (Plusieurs groupes d'utilisateurs (cases à cocher))

2. Groupes d'utilisateurs disponibles - Liste des groupes d'utilisateurs disponibles séparés par une virgule. Groupes d'utilisateurs pouvant être sélectionnés. Super Utilisateurs désactivé par défaut. Si le champ est vide, tous les groupes d'utilisateurs seront visibles pour être sélectionnés, à l'exception du groupe Super utilisateurs.

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s) CSS.

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

# Nombre de vues

Stocke le nombre de vues.

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

# Afficher horodatage

Stocke la date et l'heure de la dernière visualisation de l'enregistrement.

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

1. Format - Format de date PHP, c'est-à-dire 'Y-m-d' ou format défini par Joomla (langue prise en charge) s'il est laissé vide. 'timestamp' renvoie la date et l'heure au format d'horodatage UNIX.

`{{ FieldName("Y-m-d") }}`**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

1. CSS Class - Nom(s) de classe(s).

2. Attributes - Attributs facultatifs tels que : désactivé, onclick, onchange, etc.

# Champ virtuel

Le champ virtuel est le champ dont la valeur est calculée - traitée par Twig. Similaire au traitement de la mise en page.

**Paramètres de type de champ :**

1. Layout  - Disposition des valeurs

2. Value Storage - Stockez la valeur pour une utilisation future dans la recherche ou le tri.


* **virtual** - (Virtuel (Calculé sur demande))


* **storedstring** - (Chaîne stockée)


* **storedintegersigned** - (Entier signé stocké)


* **storedintegerunsigned** - (Entier non signé stocké)

3. Length  – Nombre de caractères. Appliqué uniquement pour la chaîne stockée.


* **Default** - 255


* **Min** - 1


* **Max** - 4096

**Paramètres de traitement des valeurs :**

Exemple :`{{ FieldName }}`

**Valeur pure (non transformée) :**

Exemple:

`{{ FieldName.value }}`

**Modifier les paramètres d'enregistrement :**

Exemple :`{{ FieldName.edit }}`

