
# Ajouter/Modifier un enregistrement
![Menu item - Records](https://joomlaboat.com/images/components/ct/menu-items/edit.png)

# Détails de l'enregistrement
![Menu item - Records](https://joomlaboat.com/images/components/ct/menu-items/details.png)

# Enregistrements
![Menu item - Records](https://joomlaboat.com/images/components/ct/menu-items/records.png)

# Éléments de menu

Liste complète des paramètres d'élément de menu, tous ne sont pas utilisés dans le type d'élément de menu Ajouter/Modifier ou dans les détails de l'enregistrement.
![Menu items - Parameters](https://joomlaboat.com/images/components/ct/menu-items/menu-items.png)

## Table et mises en page
Paramètres des éléments de menu de base nécessaires au rendu de la page.

1. Table - Sélectionne la table à partir de laquelle lire les enregistrements. Vous pouvez créer une nouvelle table dans Composants/Tableaux personnalisés/Tables.
2. Page Layout - Sélectionne Mise en page du catalogue. Ce paramètre est disponible sur le type d'élément de menu Tables personnalisées - Enregistrements.
3. Item Layout - Disposition des articles. Ce paramètre peut être utilisé sur l'élément de menu Enregistrements et si le type de mise en page est Page de catalogue et non Catalogue simple.
4. Edit Layout - Sélectionne Modifier la mise en page du formulaire. Ce paramètre est disponible sur la plupart des types d'éléments de menu Tables personnalisées car le formulaire d'édition peut être ouvert à partir de la page Enregistrements (catalogue), ou même en tant que formulaire modal.
5. Details Layout - Sélectionne Présentation des détails de l'enregistrement. Ce paramètre est disponible sur les pages de type d'élément de menu Détails de l'enregistrement et Enregistrements.


## Filtres
Le filtre ou « clause Where » est utilisé pour extraire uniquement les enregistrements qui remplissent une condition spécifiée. Également une clause Limit pour spécifier le nombre d’enregistrements à renvoyer.

1. Search Parameter - Champ dans lequel rechercher la valeur = (ou < ou <= ou > ou >= ou != et == 'correspondance exacte') (ou la balise Twig comme {{ user.id }} par exemple) pour avoir plus d'une condition utilise « et », « ou » pour obtenir une valeur du paramètre de requête URL, utilisez la balise {{ url.getint('param_name') }} ou équivalent. Exemple 'color={{ url.getstring('string') }}' ceci lira la valeur 'color' à partir de la requête URL. Pour obtenir la date actuelle, utilisez {{ 'now'|date('m/d/Y') }} ou {{ 'now'|date('Y') }} pour l'année ou {{ 'now'|date ('m') }} pour le mois. Vous pouvez également formater la date à l'aide des spécificateurs de format MySql date_format(), exemple 1 : {now:%m}. Exemple 2 : 'birthdate:%m%d' pour obtenir le mois et le jour de la valeur du champ.
2. Show published records - Filtre supplémentaire pour afficher les enregistrements publiés ou non publiés.
3. Author user id field. - Le nom du champ de type 'Utilisateur' - vérifie si un enregistrement appartient à l'utilisateur actuel. Le tableau doit contenir le champ type d'utilisateur. Il existe la possibilité de savoir si un enregistrement appartient à l'utilisateur actuel via les tables parents. Exemple de syntaxe : 'utilisateur ou parents(enfants).utilisateur'. Dans ce cas, il y aura deux vérifications : d'abord, il vérifiera si l'enregistrement appartient à l'utilisateur actuel, puis il vérifiera si l'enregistrement appartient à un enregistrement parent appartenant à l'utilisateur actuel. Au moins un chèque doit être positif.
4. User Join Table - Table contenant les identifiants utilisateur de l'enregistrement
5. User Join User ID Field - Champ contenant l'identifiant de l'utilisateur
6. User Join Field - Champ contenant les identifiants utilisateur de l'enregistrement
7. Group By  - Nom du champ selon lequel regrouper les résultats.
8. Limit clause - le nombre d'enregistrements par page. - La clause LIMIT est utile sur les grandes tables contenant des milliers d'enregistrements. Le renvoi d'un grand nombre d'enregistrements peut avoir un impact sur les performances. 0 signifie ne pas limiter – afficher tous les enregistrements.


## Sort By (Order By)
Le paramètre Trier par est utilisé pour trier l’ensemble de résultats par ordre croissant ou décroissant. Le mot-clé ORDER BY trie les enregistrements par ordre croissant par défaut. Pour trier les enregistrements par ordre décroissant, utilisez le mot-clé `desc`.

1. Default sort by field - Saisissez le nom du champ à trier et sélectionnez l'ordre croissant ou décroissant. Exemple 1 : 'title desc' où 'title' est le nom du champ et 'desc' est le mot-clé pour définir l'ordre décroissant (z-a). Exemple 2 : `title asc`. Notez que le mot-clé « asc » n'est pas nécessaire. Exemple 3 : `titre`. Cela peut être remplacé dans la fin de la police à l'aide de la zone de sélection Order By - {{ html.orderby }}.
2. Forced sort by field - Identique à Trier par mais ne peut pas être remplacé à la fin de la police.


## Autorisations
Spécifiez ce qui est autorisé pour le groupe d'utilisateurs sélectionné.

1. Guest can add new records  - Les groupes d'utilisateurs publics, les utilisateurs déconnectés ou non enregistrés peuvent ajouter de nouveaux enregistrements. Ceci est utile pour les formulaires de contact. Utilisez la balise {{ html.captcha }} pour arrêter le spam.
2. Who may add records - Sélectionnez le groupe d'utilisateurs autorisé à ajouter les enregistrements.
3. Who may edit records - Sélectionnez le groupe d'utilisateurs autorisé à modifier les enregistrements.
4. Who may publish records (Admin) - Sélectionnez le groupe d'utilisateurs qui peut publier et annuler la publication d'enregistrements.
5. Who may delete records - Sélectionnez le groupe d'utilisateurs autorisé à supprimer des enregistrements.
6. Default Publish Status - Statut de publication défini sur les nouveaux enregistrements


## Save Action
Que faire lorsqu'un nouvel enregistrement est ajouté ou lorsqu'un enregistrement a été modifié.

1. Custom Return To - Le visiteur sera redirigé vers ce lien après l'ajout ou l'enregistrement de l'enregistrement. Ce champ peut contenir des balises Twig et même enregistrer des valeurs de champ. Exemple : {{ fieldname }} pour obtenir la valeur du champ.
2. Record Saved Message - Ce message apparaîtra au-dessus du contenu (boîte de message de notification Joomla) une fois l'enregistrement enregistré ou ajouté.


## Notification par e-mail
Envoyez des e-mails après que l'enregistrement a été ajouté ou modifié.

1. Email message Layout - Sélectionnez la disposition du type de message électronique pour créer le corps du message.
2. The condition when to send the email - Les formulaires de contact, par exemple, devront être envoyés lorsque le visiteur du site Web ajoute l'enregistrement, et non à chaque fois que l'administrateur le modifie - la modification du statut publié compte comme une modification.
3. Send Email Conditions  - Exemple (c'est la syntaxe PHP) : 'approved=1 ou name==Mark'
4. Record added - envoyer l'e-mail à - Plusieurs e-mails peuvent être utilisés, séparez-les par une virgule. Pour spécifier le sujet de l'e-mail, utilisez le caractère deux-points. Exemple : "test@yahoo.com : Merci pour votre participation". Vous pouvez également utiliser la valeur du champ de l'enregistrement enregistré ou ajouté à l'aide des balises Twig. Exemple 1 : {{ email }} Exemple 2 : test@yahoo.com,test@gmail.com, {{ email }} Exemple 3 : {{ customeremail }} : Merci {{ name }} pour votre participation
5. Record saved - envoyez l'e-mail à - Comme ci-dessus. L'e-mail sera envoyé lorsque l'enregistrement sera enregistré, et non ajouté. Ceci est utile pour les formulaires de contact. L'e-mail peut être envoyé aux deux e-mails si « Sous conditions (fonctionne également lors de l'actualisation) » est sélectionné.
6. The field where to save the Email Sent Status (1/0) - Nom du champ où enregistrer le statut de l'e-mail envoyé. Doit être de type int ou case à cocher. 1- envoyé, 0- non envoyé.


## Avancé
Paramètres avancés, post-traitement et autres.

1. Allow Content Plugins - Laissez les plugins de contenu analyser le contenu de sortie.
2. Required Label - Caractère ou texte à afficher à côté du champ obligatoire s'il y en a un.


## Panier
Paramètres liés à la fonctionnalité du panier - disponibles sur la page de type d'élément du menu Enregistrements.

1. Shopping Cart Only - Afficher uniquement les articles dans le panier
2. Cart Updated Return To - Le lien vers lequel rediriger une fois le panier mis à jour.
3. Message: Cart: Item Added - Texte du message de la boîte de notification à afficher lorsqu'un article a été ajouté au panier.
4. Message: Cart: Item Deleted - Texte du message de la boîte de notification à afficher lorsqu'un article a été supprimé du panier.
5. Message: Cart: Updated - Texte du message de la boîte de notification à afficher après la mise à jour du panier.

