# Comment intégrer un catalogue à n'importe quelle mise en page - deux options

## Vous pouvez insérer des enregistrements de n'importe quelle autre table en utilisant la balise "tables.getrecords":

Exemple : `{{ tables.getrecords("CountriesPage","population>1000000","name",20) }}`

Où CountriesPage est le nom de la mise en page.

"population>1000000" où la condition ou le filtre

"nom" - le champ par lequel trier les enregistrements. L'ordre décroissant est également possible "nom desc"

20 - nombre d'enregistrements (limite)


## Vous pouvez également le faire en utilisant IFrame

Si vous souhaitez un catalogue fonctionnel intégré dans une mise en page ou un article, utilisez la balise HTML IFrame. Vous pouvez fournir un paramètre de requête URL pour filtrer les enregistrements du catalogue.

Vous trouverez ci-dessous un exemple de catalogue dans la mise en page de l'enregistrement :

![](https://joomlaboat.com/images/components/ct/iframe/image1.png)

Où "/index.php/subjects-list" est le lien vers un élément de menu comportant le type de menu Tableaux personnalisés - Enregistrements

"type=3" est un paramètre de requête que nous souhaitons transmettre comme paramètre de filtre.

Où "3" est l'ID de l'enregistrement actuel, si la page sur laquelle vous souhaitez avoir un catalogue fonctionnel est de type Ajouter/Modifier un enregistrement ou Détails de l'enregistrement.

"tmpl=component" ne consiste pas à éviter le rendu du modèle frontal.

![](https://joomlaboat.com/images/components/ct/iframe/image3.png)

Il s'agit de l'élément de menu Tableaux personnalisés - Type d'enregistrement.

J'ai passé le type de paramètre avec la requête URL. Nous allons maintenant l'utiliser pour filtrer les enregistrements du catalogue.

J'ai un champ "type" dans ma table. Je souhaite afficher tous les enregistrements dont l'identifiant de type est égal au paramètre d'URL de type.

{{ url.getint("query paramètre" }} est la balise permettant d'obtenir la valeur du paramètre d'URL.

![](https://joomlaboat.com/images/components/ct/iframe/image4.png)



# Comment afficher les enregistrements créés par l'utilisateur actuel

Ajouter un type de menu : "Tableaux personnalisés - Catalogue"

Cliquez sur l'onglet Filtre
et le paramètre "Paramètre de recherche", définissez-le sur "`authoruser={{ user.id }}`", où "user" est le champ de nom dans votre table personnalisée où l'ID utilisateur est stocké.

`{{ user.id }}` sera automatiquement remplacé par l'identifiant de l'utilisateur actuel.

Cela équivaut à l'exemple de requête MySQL :

` SELECT * FROM #__customtables_table_myfirsttable WHERE es_user=200042`

"myfirsttable" est le nom de la table, par exemple.

# Comment inclure un code de mise en page dans une autre mise en page

Exemple de balise de mise en page :

`{{ document.layout("LayoutName"}}`

## Comment ça fonctionne

Le code de mise en page inclus et le code de **mise en page** parent seront traités comme une seule mise en page.

Fonctionne comme la méthode « include » dans d’autres langages informatiques.

Cela aide à structurer les mises en page.

La balise `{{ document.layout("LayoutName"}}` prend tout le texte/code/balisage qui existe dans la mise en page spécifiée et le copie dans la mise en page parent qui utilise la balise "layout".

L'inclusion de mises en page est très utile lorsque, par exemple, vous souhaitez insérer le même Javascript, HTML ou texte sur plusieurs pages d'un site Web.

Cela fonctionne de manière récursive.

